> For the complete documentation index, see [llms.txt](https://docs.bluefletch.com/bluefletch-enterprise/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bluefletch.com/bluefletch-enterprise/product-guides/authentication-and-sso/features/secondary-authentication.md).

# Secondary Authentication

The BlueFletch Launcher can be configured to require an additional form of authentication when a device's screen is unlocked while Launcher is logged-in through the Authentication module. Reauthentication can be configured as a personal identification number ([PIN](/bluefletch-enterprise/product-guides/authentication-and-sso/features/secondary-authentication/pin.md)), [face recognition](/bluefletch-enterprise/product-guides/authentication-and-sso/features/secondary-authentication/face-recognition.md), a near-field communication ([NFC](/bluefletch-enterprise/product-guides/authentication-and-sso/features/secondary-authentication/nfc-tag.md)) tag, or a [barcode](/bluefletch-enterprise/product-guides/authentication-and-sso/features/secondary-authentication/barcode.md). Primary and [alternate](/bluefletch-enterprise/product-guides/authentication-and-sso/features/secondary-authentication/alternate-secondary-authentication.md) reauthentication options can also be set.\
\
Common Configuration

The following key-value pairs can be set within the [`settings`](/bluefletch-enterprise/product-guides/bluefletch-launcher/launcher3/technical-guide.md#settings) object of the Launcher configuration JSON file.

**Essential settings for all secondary authentication:**

<table><thead><tr><th width="262">Field</th><th width="119.33333333333331">Data Type</th><th>Description</th></tr></thead><tbody><tr><td>requireAuthOnScreenOn</td><td>boolean</td><td>Set to <code>true</code> to launch secondary authentication when the device screen is awakened while logged in. Default is <code>false</code>.</td></tr><tr><td>useSecondaryAuth</td><td>string</td><td>Indicates type of secondary auth during re-authorization. Values are <code>"none"</code>, <code>"pin"</code>, <code>"face"</code>, <code>"nfc"</code>, and <code>"barcode"</code>. Default is <code>"none"</code>.</td></tr><tr><td>secondaryAuthRequired</td><td>boolean</td><td>If set to <code>true</code>, will logout the user if they cancel setting up the secondary authentication. Default is <code>false</code>. Available starting Launcher 3.3.x.<br>Starting in Launcher 3.6.x, user will have the option to logout during verification as well.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bluefletch.com/bluefletch-enterprise/product-guides/authentication-and-sso/features/secondary-authentication.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
